Mail::Message::TransferEnc::Binary(3)

NAME
Mail::Message::TransferEnc::Binary - encode/decode binary message bodies

INHERITANCE
 Mail::Message::TransferEnc::Binary
   is a Mail::Message::TransferEnc
   is a Mail::Reporter

SYNOPSIS
  my Mail::Message $msg = ...;
  my $decoded = $msg->decoded;
  my $encoded = $msg->encode(transfer => 'binary');

DESCRIPTION
Encode or decode message bodies for binary transfer encoding. This is totally no encoding.

Extends "DESCRIPTION" in Mail::Message::TransferEnc.

METHODS
Extends "METHODS" in Mail::Message::TransferEnc.

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

Error: decoder for transfer encoding $type does not work: $@
    Compiling the required transfer encoding resulted in errors, which means that the decoder can not be used. Cast by create()

Error: no decoder for transfer encoding $type.
    A decoder for the specified type of transfer encoding is not implemented. Cast by create()

SEE ALSO
This module is part of Mail-Message version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.